import request from '@/plugin/axios'

//查询列表
export function getPageList(data) {
    return request({
        url:'/callerReasons/getCallerReasonsByPage',
        method:'post',
        data
    })
}

//新增和修改
export function saveOrUpdataList(data) {
    return request({
        url: '/callerReasons/saveOrUpdCallerReasons',
        method: 'post',
        data
    })
}

//删除
export function deleteList(data) {
    return request({
        url:'/callerReasons/deleteCallerReasons',
        method:'post',
        data
    })
}

//查询详情
export function getList(data) {
    return request({
        url:'/callerReasons/getCallerReasonsById',
        method:'post',
        data
    })
}
